package com.ibm.commerce.catalog.facade.server.services.search.expression.solr;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2013
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import com.ibm.commerce.foundation.server.services.dataaccess.SelectionCriteria;
import com.ibm.commerce.foundation.server.services.search.SearchServiceConstants;
import com.ibm.commerce.foundation.server.services.search.expression.SearchExpressionProvider;
import com.ibm.commerce.foundation.server.services.search.expression.solr.AbstractSolrSearchExpressionProvider;

public class SolrSearchSampleExpressionProvider extends
		AbstractSolrSearchExpressionProvider implements
		SearchExpressionProvider {

	public SolrSearchSampleExpressionProvider(String componentId) {
		super();
	}

	public void invoke(SelectionCriteria selectionCriteria)
			throws RuntimeException {

		super.invoke(selectionCriteria);

		// Retrieving search profile from SelectionCriteria expression object
		String searchProfile = getControlParameterValue(SearchServiceConstants.CTRL_PARAM_SEARCH_PROFILE);

		// Append to the SelectionCriteria expression object with your own
		// expression criteria
		addControlParameterValue(
				SearchServiceConstants.CTRL_PARAM_SEARCH_INTERNAL_OPTIONAL_QUERY,
				"your expression criteria");
	}
}
